Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoBinGenOp< EOT > Class Template Reference

Wrapper for binop: here we use select method of eoPopulator but we could also have an embedded selector to select the second parent. More...

`#include <eoGenOp.h>`

Inheritance diagram for eoBinGenOp< EOT >:

List of all members.

## Public Member Functions
| eoBinGenOp (eoBinOp< EOT > &_op)
unsigned | max_production (void)
| Max production is used to reserve space for all elements that are used by the operator, not setting it properly can result in a crash.
void | apply (eoPopulator< EOT > &_pop)
| do the work: get 2 individuals from the population, modifies only one (it's a eoBinOp)
virtual std::string | className () const
## Private Attributes
eoBinOp< EOT > & | op

## Detailed Description

### template<class EOT>
class eoBinGenOp< EOT >

Wrapper for binop: here we use select method of eoPopulator but we could also have an embedded selector to select the second parent.

Definition at line 107 of file eoGenOp.h.

The documentation for this class was generated from the following file:

- eoGenOp.h